// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace JavaBinding {
    
    
    internal partial class CodeGenerationPanelWidget {
        
        private Gtk.VBox vbox62;
        
        private Gtk.Label label82;
        
        private Gtk.HBox hbox56;
        
        private Gtk.Label label81;
        
        private Gtk.VBox vbox65;
        
        private Gtk.Table table7;
        
        private Gtk.Entry classPathEntry;
        
        private Gtk.HBox hbox61;
        
        private Gtk.ComboBox compileTargetCombo;
        
        private Gtk.Label label86;
        
        private Gtk.Label label87;
        
        private Gtk.Label label88;
        
        private Gtk.Label label91;
        
        private Gtk.Entry mainClassEntry;
        
        private Gtk.Entry symbolsEntry;
        
        private Gtk.Label label92;
        
        private Gtk.HBox hbox57;
        
        private Gtk.Label label93;
        
        private Gtk.VBox vbox66;
        
        private Gtk.HBox hbox58;
        
        private Gtk.RadioButton compilerGcjButton;
        
        private Gtk.RadioButton compilerJavacButton;
        
        private Gtk.Entry compilerEntry;
        
        private Gtk.HBox hbox60;
        
        private Gtk.VBox vbox68;
        
        private Gtk.Label label90;
        
        private Gtk.HBox hbox47;
        
        private Gtk.Label label72;
        
        private Gtk.VBox vbox64;
        
        private Gtk.CheckButton enableOptimizationCheckButton;
        
        private Gtk.CheckButton generateDebugInformationCheckButton;
        
        private Gtk.VBox vbox69;
        
        private Gtk.Label label94;
        
        private Gtk.HBox hbox59;
        
        private Gtk.Label label95;
        
        private Gtk.VBox vbox67;
        
        private Gtk.CheckButton generateWarningsCheckButton;
        
        private Gtk.CheckButton deprecationCheckButton;
        
        private Gtk.CheckButton warningsAsErrorsCheckButton;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget JavaBinding.CodeGenerationPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "JavaBinding.CodeGenerationPanelWidget";
            // Container child JavaBinding.CodeGenerationPanelWidget.Gtk.Container+ContainerChild
            this.vbox62 = new Gtk.VBox();
            this.vbox62.Name = "vbox62";
            this.vbox62.Spacing = 12;
            // Container child vbox62.Gtk.Box+BoxChild
            this.label82 = new Gtk.Label();
            this.label82.Name = "label82";
            this.label82.Xalign = 0F;
            this.label82.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("<b>Code Generation</b>");
            this.label82.UseMarkup = true;
            this.vbox62.Add(this.label82);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox62[this.label82]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child vbox62.Gtk.Box+BoxChild
            this.hbox56 = new Gtk.HBox();
            this.hbox56.Name = "hbox56";
            // Container child hbox56.Gtk.Box+BoxChild
            this.label81 = new Gtk.Label();
            this.label81.WidthRequest = 18;
            this.label81.Name = "label81";
            this.hbox56.Add(this.label81);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox56[this.label81]));
            w2.Position = 0;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox56.Gtk.Box+BoxChild
            this.vbox65 = new Gtk.VBox();
            this.vbox65.Name = "vbox65";
            this.vbox65.Spacing = 6;
            // Container child vbox65.Gtk.Box+BoxChild
            this.table7 = new Gtk.Table(((uint)(4)), ((uint)(2)), false);
            this.table7.Name = "table7";
            this.table7.RowSpacing = ((uint)(6));
            this.table7.ColumnSpacing = ((uint)(6));
            // Container child table7.Gtk.Table+TableChild
            this.classPathEntry = new Gtk.Entry();
            this.classPathEntry.Name = "classPathEntry";
            this.classPathEntry.IsEditable = true;
            this.classPathEntry.InvisibleChar = '●';
            this.table7.Add(this.classPathEntry);
            Gtk.Table.TableChild w3 = ((Gtk.Table.TableChild)(this.table7[this.classPathEntry]));
            w3.TopAttach = ((uint)(3));
            w3.BottomAttach = ((uint)(4));
            w3.LeftAttach = ((uint)(1));
            w3.RightAttach = ((uint)(2));
            w3.YOptions = ((Gtk.AttachOptions)(0));
            // Container child table7.Gtk.Table+TableChild
            this.hbox61 = new Gtk.HBox();
            this.hbox61.Name = "hbox61";
            // Container child hbox61.Gtk.Box+BoxChild
            this.compileTargetCombo = new Gtk.ComboBox();
            this.compileTargetCombo.Name = "compileTargetCombo";
            this.hbox61.Add(this.compileTargetCombo);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.hbox61[this.compileTargetCombo]));
            w4.Position = 0;
            w4.Expand = false;
            w4.Fill = false;
            this.table7.Add(this.hbox61);
            Gtk.Table.TableChild w5 = ((Gtk.Table.TableChild)(this.table7[this.hbox61]));
            w5.LeftAttach = ((uint)(1));
            w5.RightAttach = ((uint)(2));
            w5.XOptions = ((Gtk.AttachOptions)(4));
            w5.YOptions = ((Gtk.AttachOptions)(4));
            // Container child table7.Gtk.Table+TableChild
            this.label86 = new Gtk.Label();
            this.label86.Name = "label86";
            this.label86.Xalign = 0F;
            this.label86.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Compile _Target:");
            this.label86.UseUnderline = true;
            this.table7.Add(this.label86);
            Gtk.Table.TableChild w6 = ((Gtk.Table.TableChild)(this.table7[this.label86]));
            w6.XOptions = ((Gtk.AttachOptions)(4));
            w6.YOptions = ((Gtk.AttachOptions)(0));
            // Container child table7.Gtk.Table+TableChild
            this.label87 = new Gtk.Label();
            this.label87.Name = "label87";
            this.label87.Xalign = 0F;
            this.label87.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Define S_ymbols:");
            this.label87.UseUnderline = true;
            this.table7.Add(this.label87);
            Gtk.Table.TableChild w7 = ((Gtk.Table.TableChild)(this.table7[this.label87]));
            w7.TopAttach = ((uint)(1));
            w7.BottomAttach = ((uint)(2));
            w7.XOptions = ((Gtk.AttachOptions)(4));
            w7.YOptions = ((Gtk.AttachOptions)(0));
            // Container child table7.Gtk.Table+TableChild
            this.label88 = new Gtk.Label();
            this.label88.Name = "label88";
            this.label88.Xalign = 0F;
            this.label88.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("_Main Class:");
            this.label88.UseUnderline = true;
            this.table7.Add(this.label88);
            Gtk.Table.TableChild w8 = ((Gtk.Table.TableChild)(this.table7[this.label88]));
            w8.TopAttach = ((uint)(2));
            w8.BottomAttach = ((uint)(3));
            w8.XOptions = ((Gtk.AttachOptions)(4));
            w8.YOptions = ((Gtk.AttachOptions)(0));
            // Container child table7.Gtk.Table+TableChild
            this.label91 = new Gtk.Label();
            this.label91.Name = "label91";
            this.label91.Xalign = 0F;
            this.label91.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Classpath:");
            this.label91.UseUnderline = true;
            this.table7.Add(this.label91);
            Gtk.Table.TableChild w9 = ((Gtk.Table.TableChild)(this.table7[this.label91]));
            w9.TopAttach = ((uint)(3));
            w9.BottomAttach = ((uint)(4));
            w9.XOptions = ((Gtk.AttachOptions)(4));
            w9.YOptions = ((Gtk.AttachOptions)(0));
            // Container child table7.Gtk.Table+TableChild
            this.mainClassEntry = new Gtk.Entry();
            this.mainClassEntry.Name = "mainClassEntry";
            this.mainClassEntry.IsEditable = true;
            this.mainClassEntry.InvisibleChar = '●';
            this.table7.Add(this.mainClassEntry);
            Gtk.Table.TableChild w10 = ((Gtk.Table.TableChild)(this.table7[this.mainClassEntry]));
            w10.TopAttach = ((uint)(2));
            w10.BottomAttach = ((uint)(3));
            w10.LeftAttach = ((uint)(1));
            w10.RightAttach = ((uint)(2));
            w10.YOptions = ((Gtk.AttachOptions)(0));
            // Container child table7.Gtk.Table+TableChild
            this.symbolsEntry = new Gtk.Entry();
            this.symbolsEntry.Name = "symbolsEntry";
            this.symbolsEntry.IsEditable = true;
            this.symbolsEntry.InvisibleChar = '●';
            this.table7.Add(this.symbolsEntry);
            Gtk.Table.TableChild w11 = ((Gtk.Table.TableChild)(this.table7[this.symbolsEntry]));
            w11.TopAttach = ((uint)(1));
            w11.BottomAttach = ((uint)(2));
            w11.LeftAttach = ((uint)(1));
            w11.RightAttach = ((uint)(2));
            w11.YOptions = ((Gtk.AttachOptions)(0));
            this.vbox65.Add(this.table7);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.vbox65[this.table7]));
            w12.Position = 0;
            this.hbox56.Add(this.vbox65);
            Gtk.Box.BoxChild w13 = ((Gtk.Box.BoxChild)(this.hbox56[this.vbox65]));
            w13.Position = 1;
            this.vbox62.Add(this.hbox56);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.vbox62[this.hbox56]));
            w14.Position = 1;
            w14.Expand = false;
            w14.Fill = false;
            // Container child vbox62.Gtk.Box+BoxChild
            this.label92 = new Gtk.Label();
            this.label92.Name = "label92";
            this.label92.Xalign = 0F;
            this.label92.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("<b>Compiler</b>");
            this.label92.UseMarkup = true;
            this.vbox62.Add(this.label92);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.vbox62[this.label92]));
            w15.Position = 2;
            w15.Expand = false;
            w15.Fill = false;
            // Container child vbox62.Gtk.Box+BoxChild
            this.hbox57 = new Gtk.HBox();
            this.hbox57.Name = "hbox57";
            // Container child hbox57.Gtk.Box+BoxChild
            this.label93 = new Gtk.Label();
            this.label93.WidthRequest = 18;
            this.label93.Name = "label93";
            this.hbox57.Add(this.label93);
            Gtk.Box.BoxChild w16 = ((Gtk.Box.BoxChild)(this.hbox57[this.label93]));
            w16.Position = 0;
            w16.Expand = false;
            w16.Fill = false;
            // Container child hbox57.Gtk.Box+BoxChild
            this.vbox66 = new Gtk.VBox();
            this.vbox66.Name = "vbox66";
            // Container child vbox66.Gtk.Box+BoxChild
            this.hbox58 = new Gtk.HBox();
            this.hbox58.Name = "hbox58";
            this.hbox58.Spacing = 18;
            // Container child hbox58.Gtk.Box+BoxChild
            this.compilerGcjButton = new Gtk.RadioButton(Mono.Addins.AddinManager.CurrentLocalizer.GetString("gcj"));
            this.compilerGcjButton.Name = "compilerGcjButton";
            this.compilerGcjButton.Active = true;
            this.compilerGcjButton.DrawIndicator = true;
            this.compilerGcjButton.UseUnderline = true;
            this.compilerGcjButton.Group = new GLib.SList(System.IntPtr.Zero);
            this.hbox58.Add(this.compilerGcjButton);
            Gtk.Box.BoxChild w17 = ((Gtk.Box.BoxChild)(this.hbox58[this.compilerGcjButton]));
            w17.Position = 0;
            w17.Expand = false;
            w17.Fill = false;
            // Container child hbox58.Gtk.Box+BoxChild
            this.compilerJavacButton = new Gtk.RadioButton(Mono.Addins.AddinManager.CurrentLocalizer.GetString("javac"));
            this.compilerJavacButton.Name = "compilerJavacButton";
            this.compilerJavacButton.DrawIndicator = true;
            this.compilerJavacButton.UseUnderline = true;
            this.compilerJavacButton.Group = this.compilerGcjButton.Group;
            this.hbox58.Add(this.compilerJavacButton);
            Gtk.Box.BoxChild w18 = ((Gtk.Box.BoxChild)(this.hbox58[this.compilerJavacButton]));
            w18.Position = 1;
            w18.Expand = false;
            w18.Fill = false;
            this.vbox66.Add(this.hbox58);
            Gtk.Box.BoxChild w19 = ((Gtk.Box.BoxChild)(this.vbox66[this.hbox58]));
            w19.Position = 0;
            // Container child vbox66.Gtk.Box+BoxChild
            this.compilerEntry = new Gtk.Entry();
            this.compilerEntry.Name = "compilerEntry";
            this.compilerEntry.IsEditable = true;
            this.compilerEntry.InvisibleChar = '●';
            this.vbox66.Add(this.compilerEntry);
            Gtk.Box.BoxChild w20 = ((Gtk.Box.BoxChild)(this.vbox66[this.compilerEntry]));
            w20.Position = 1;
            w20.Expand = false;
            w20.Fill = false;
            this.hbox57.Add(this.vbox66);
            Gtk.Box.BoxChild w21 = ((Gtk.Box.BoxChild)(this.hbox57[this.vbox66]));
            w21.Position = 1;
            this.vbox62.Add(this.hbox57);
            Gtk.Box.BoxChild w22 = ((Gtk.Box.BoxChild)(this.vbox62[this.hbox57]));
            w22.Position = 3;
            w22.Expand = false;
            w22.Fill = false;
            // Container child vbox62.Gtk.Box+BoxChild
            this.hbox60 = new Gtk.HBox();
            this.hbox60.Name = "hbox60";
            // Container child hbox60.Gtk.Box+BoxChild
            this.vbox68 = new Gtk.VBox();
            this.vbox68.Name = "vbox68";
            this.vbox68.Spacing = 6;
            // Container child vbox68.Gtk.Box+BoxChild
            this.label90 = new Gtk.Label();
            this.label90.Name = "label90";
            this.label90.Xalign = 0F;
            this.label90.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("<b>Options</b>");
            this.label90.UseMarkup = true;
            this.label90.UseUnderline = true;
            this.vbox68.Add(this.label90);
            Gtk.Box.BoxChild w23 = ((Gtk.Box.BoxChild)(this.vbox68[this.label90]));
            w23.Position = 0;
            w23.Expand = false;
            w23.Fill = false;
            // Container child vbox68.Gtk.Box+BoxChild
            this.hbox47 = new Gtk.HBox();
            this.hbox47.Name = "hbox47";
            // Container child hbox47.Gtk.Box+BoxChild
            this.label72 = new Gtk.Label();
            this.label72.WidthRequest = 18;
            this.label72.Name = "label72";
            this.hbox47.Add(this.label72);
            Gtk.Box.BoxChild w24 = ((Gtk.Box.BoxChild)(this.hbox47[this.label72]));
            w24.Position = 0;
            w24.Expand = false;
            w24.Fill = false;
            // Container child hbox47.Gtk.Box+BoxChild
            this.vbox64 = new Gtk.VBox();
            this.vbox64.Name = "vbox64";
            this.vbox64.Spacing = 6;
            // Container child vbox64.Gtk.Box+BoxChild
            this.enableOptimizationCheckButton = new Gtk.CheckButton();
            this.enableOptimizationCheckButton.Name = "enableOptimizationCheckButton";
            this.enableOptimizationCheckButton.Label = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Enable _optimizations");
            this.enableOptimizationCheckButton.DrawIndicator = true;
            this.enableOptimizationCheckButton.UseUnderline = true;
            this.vbox64.Add(this.enableOptimizationCheckButton);
            Gtk.Box.BoxChild w25 = ((Gtk.Box.BoxChild)(this.vbox64[this.enableOptimizationCheckButton]));
            w25.Position = 0;
            w25.Expand = false;
            w25.Fill = false;
            // Container child vbox64.Gtk.Box+BoxChild
            this.generateDebugInformationCheckButton = new Gtk.CheckButton();
            this.generateDebugInformationCheckButton.Name = "generateDebugInformationCheckButton";
            this.generateDebugInformationCheckButton.Label = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Emit _debugging information");
            this.generateDebugInformationCheckButton.DrawIndicator = true;
            this.generateDebugInformationCheckButton.UseUnderline = true;
            this.vbox64.Add(this.generateDebugInformationCheckButton);
            Gtk.Box.BoxChild w26 = ((Gtk.Box.BoxChild)(this.vbox64[this.generateDebugInformationCheckButton]));
            w26.Position = 1;
            w26.Expand = false;
            w26.Fill = false;
            this.hbox47.Add(this.vbox64);
            Gtk.Box.BoxChild w27 = ((Gtk.Box.BoxChild)(this.hbox47[this.vbox64]));
            w27.Position = 1;
            this.vbox68.Add(this.hbox47);
            Gtk.Box.BoxChild w28 = ((Gtk.Box.BoxChild)(this.vbox68[this.hbox47]));
            w28.Position = 1;
            this.hbox60.Add(this.vbox68);
            Gtk.Box.BoxChild w29 = ((Gtk.Box.BoxChild)(this.hbox60[this.vbox68]));
            w29.Position = 0;
            // Container child hbox60.Gtk.Box+BoxChild
            this.vbox69 = new Gtk.VBox();
            this.vbox69.Name = "vbox69";
            this.vbox69.Spacing = 6;
            // Container child vbox69.Gtk.Box+BoxChild
            this.label94 = new Gtk.Label();
            this.label94.Name = "label94";
            this.label94.Xalign = 0F;
            this.label94.LabelProp = Mono.Addins.AddinManager.CurrentLocalizer.GetString("<b>Warnings</b>");
            this.label94.UseMarkup = true;
            this.label94.UseUnderline = true;
            this.vbox69.Add(this.label94);
            Gtk.Box.BoxChild w30 = ((Gtk.Box.BoxChild)(this.vbox69[this.label94]));
            w30.Position = 0;
            w30.Expand = false;
            w30.Fill = false;
            // Container child vbox69.Gtk.Box+BoxChild
            this.hbox59 = new Gtk.HBox();
            this.hbox59.Name = "hbox59";
            // Container child hbox59.Gtk.Box+BoxChild
            this.label95 = new Gtk.Label();
            this.label95.WidthRequest = 18;
            this.label95.Name = "label95";
            this.hbox59.Add(this.label95);
            Gtk.Box.BoxChild w31 = ((Gtk.Box.BoxChild)(this.hbox59[this.label95]));
            w31.Position = 0;
            w31.Expand = false;
            w31.Fill = false;
            // Container child hbox59.Gtk.Box+BoxChild
            this.vbox67 = new Gtk.VBox();
            this.vbox67.Name = "vbox67";
            this.vbox67.Spacing = 6;
            // Container child vbox67.Gtk.Box+BoxChild
            this.generateWarningsCheckButton = new Gtk.CheckButton();
            this.generateWarningsCheckButton.Name = "generateWarningsCheckButton";
            this.generateWarningsCheckButton.Label = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Generate warnings");
            this.generateWarningsCheckButton.DrawIndicator = true;
            this.generateWarningsCheckButton.UseUnderline = true;
            this.vbox67.Add(this.generateWarningsCheckButton);
            Gtk.Box.BoxChild w32 = ((Gtk.Box.BoxChild)(this.vbox67[this.generateWarningsCheckButton]));
            w32.Position = 0;
            w32.Expand = false;
            w32.Fill = false;
            // Container child vbox67.Gtk.Box+BoxChild
            this.deprecationCheckButton = new Gtk.CheckButton();
            this.deprecationCheckButton.Name = "deprecationCheckButton";
            this.deprecationCheckButton.Label = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Enable deprecation warnings");
            this.deprecationCheckButton.DrawIndicator = true;
            this.deprecationCheckButton.UseUnderline = true;
            this.vbox67.Add(this.deprecationCheckButton);
            Gtk.Box.BoxChild w33 = ((Gtk.Box.BoxChild)(this.vbox67[this.deprecationCheckButton]));
            w33.Position = 1;
            w33.Expand = false;
            w33.Fill = false;
            // Container child vbox67.Gtk.Box+BoxChild
            this.warningsAsErrorsCheckButton = new Gtk.CheckButton();
            this.warningsAsErrorsCheckButton.Name = "warningsAsErrorsCheckButton";
            this.warningsAsErrorsCheckButton.Label = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Treat warnings as _errors");
            this.warningsAsErrorsCheckButton.DrawIndicator = true;
            this.warningsAsErrorsCheckButton.UseUnderline = true;
            this.vbox67.Add(this.warningsAsErrorsCheckButton);
            Gtk.Box.BoxChild w34 = ((Gtk.Box.BoxChild)(this.vbox67[this.warningsAsErrorsCheckButton]));
            w34.Position = 2;
            w34.Expand = false;
            w34.Fill = false;
            this.hbox59.Add(this.vbox67);
            Gtk.Box.BoxChild w35 = ((Gtk.Box.BoxChild)(this.hbox59[this.vbox67]));
            w35.Position = 1;
            this.vbox69.Add(this.hbox59);
            Gtk.Box.BoxChild w36 = ((Gtk.Box.BoxChild)(this.vbox69[this.hbox59]));
            w36.Position = 1;
            this.hbox60.Add(this.vbox69);
            Gtk.Box.BoxChild w37 = ((Gtk.Box.BoxChild)(this.hbox60[this.vbox69]));
            w37.Position = 1;
            this.vbox62.Add(this.hbox60);
            Gtk.Box.BoxChild w38 = ((Gtk.Box.BoxChild)(this.vbox62[this.hbox60]));
            w38.Position = 4;
            this.Add(this.vbox62);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.label87.MnemonicWidget = this.symbolsEntry;
            this.label88.MnemonicWidget = this.mainClassEntry;
            this.label91.MnemonicWidget = this.classPathEntry;
            this.Show();
        }
    }
}
